Versionsprüfung fehlgeschlagen

Erweiterungen
Post Reply
jahnr
Posts: 15
Joined: Sun 5. Oct 2014, 12:10

Versionsprüfung fehlgeschlagen

Post by jahnr » Wed 2. Mar 2016, 16:54

Hallo Gemeinde,

Ich bekomme folgende Fehlermeldungen:

kann mir bitte wer die IP mitteilen zu der sich Ihre Plugins zwecks Versionsprüfung
verbindet?

Mein WebSpace Provider World4You wirde mir die IP freischalten.

Installierte CMSimple Version:

CMSimple 4.6.1 Released: 2016-01-14

Versionsprüfung fehlgeschlagen
Installierte Plugins:

= aktiviert = aus Admin Menü entfernt = deaktiviert Pluginmanager »
co_authors Versionsprüfung fehlgeschlagen
comments Versionsprüfung fehlgeschlagen
countvisits Versionsprüfung fehlgeschlagen
filebrowser Standard System Plugin
fotogalerie Versionsprüfung fehlgeschlagen
jquery Standard System Plugin
magicframes Versionsprüfung fehlgeschlagen
mailforms Versionsprüfung fehlgeschlagen
membersarea Versionsprüfung fehlgeschlagen
meta_tags Standard System Plugin
page_params Standard System Plugin
pagemanager Standard System Plugin
plugins Keine Versionsinformationen verfügbar
templug Versionsprüfung fehlgeschlagen
Danke
Robert

Gert
Posts: 1242
Joined: Sun 18. Nov 2012, 14:18

Re: Versionsprüfung fehlgeschlagen

Post by Gert » Wed 2. Mar 2016, 17:09

Hallo Robert,

für Plugins muss Dein Provider das auslesen von Dateien von ge-webdesign.de zulassen.

Für CMSimple muss Dein Provider das auslesen von Dateien von cmsimple.org zulassen.

Verwendet wird curl oder einfach file_get_contents(),

Gert
Gert Ebersbach | CMSimple | Templates - Plugins - Services

jahnr
Posts: 15
Joined: Sun 5. Oct 2014, 12:10

Re: Versionsprüfung fehlgeschlagen

Post by jahnr » Thu 3. Mar 2016, 08:55

Hallo Gert,

danke für Deinen Hinweis.

World4You, mein Webspace Provider, hat die beiden Domains in der Firewall freigeschaltet

---> Situation leider UNVERÄNDERT :roll:
Danke
Robert

Gert
Posts: 1242
Joined: Sun 18. Nov 2012, 14:18

Re: Versionsprüfung fehlgeschlagen

Post by Gert » Thu 3. Mar 2016, 10:01

Hallo Robert,

das musst Du wirklich mit Deinem Provider klären.

Glaube mir, ich habe Zugang zu -zig Kundenservern und Backends von Kundeninstallationen, es funktioniert überall.

Lediglich bei meinem kostenlosen bplaced Account funktioniert es nicht, da habe ich aber auch volles Verständnis für, dass da fremde Dateien nicht ausgelesen und verarbeitet werden dürfen. Nach meinem Wissen funktioniert die Versionsprüfung aber auf den kostenpflichtigen Accounts von bplaced.

Vielleicht sollten die zuständigen Leute bei Deinem Provider mal nach "cURL" und "allow_url_fopen" googlen, eins von beiden muss mindestens zur Verfügung stehen,

Gert
Gert Ebersbach | CMSimple | Templates - Plugins - Services

ojay
Posts: 22
Joined: Wed 22. Oct 2014, 11:32
Contact:

Re: Versionsprüfung fehlgeschlagen

Post by ojay » Mon 11. Jul 2016, 22:19

Hallo Gert,

wurde zum/beim letzten Update die Update-URL geändert?

"Versionsprüfung fehlgeschlagen" steht nun nur bei "CMSimple"-Plugins. Beim einzelnen CMSimple_XH-Plugin*** funktioniert die Update-Kontrolle...

oder habe ich da eine Datei nicht hochgeladen?

vielen Dank!
Gruß
Olaf

***Ja, darf man nicht... :roll:

admin2
Posts: 1
Joined: Fri 29. Aug 2014, 19:41

Re: Versionsprüfung fehlgeschlagen

Post by admin2 » Mon 11. Jul 2016, 22:46

Hallo Olaf,

guck mal hier: Versionscheck und CMSimple-Plugins. Mit dem Update von dort sollte der Versionscheck für die CMSimple-Plugins wieder funktionieren. Aber dann eben nicht mehr für die Plugins, deren .nfo-Datei noch nicht über https erreichbar sind. Bis zum nächsten Update wird Gert sicher eine Lösung für http und https finden.

Viele Grüße

Martin

Gert
Posts: 1242
Joined: Sun 18. Nov 2012, 14:18

Re: Versionsprüfung fehlgeschlagen

Post by Gert » Wed 20. Jul 2016, 12:01

ojay wrote:***Ja, darf man nicht... :roll:
Doch, darf man, sollte man aber nicht :roll:
admin2 wrote:Bis zum nächsten Update wird Gert sicher eine Lösung für http und https finden.
Ist leider nicht so einfach. Aber jetzt wird nur bei Plugins von ge-webdesign.de das http:// durch https:// ersetzt, das reicht in der aktuellen Situation. In Zukunft müssen das die Plugin Entwickler (also auch ich) in ihren version.nfo Dateien entsprechend angeben, dann funktioniert das auch. Für meine eigenen fast 30 Plugins habe ich es direkt in der adm.php geregelt ;)

Natürlich müssen auch die Experten, die die Sicherheitsmassnahmen in meinen Plugins umgehen, damit diese auch in anderen CMS funktionieren, die URLs in den version.nfo Dateien auf https:// ändern. Trotzdem gibt es meinerseits keine Garantie, dass die Versionsprüfung für CMSimple Plugins in anderen CMS funktioniert.

Die neue ./cmsimple/adm.php ist jetzt in allen Downloads enthalten,

Gert
Gert Ebersbach | CMSimple | Templates - Plugins - Services

Post Reply